Subject: [TLS] [Editorial Errata Reported] RFC8446 (5976)

From: RFC Errata System <[email-masked]>
Date: Tue, 4 Feb 2020 07:13:36 -0800 (PST)

The following errata report has been submitted for RFC8446,
"The Transport Layer Security (TLS) Protocol Version 1.3".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5976

--------------------------------------
Type: Editorial
Reported by: Rich Salz <[email-masked]>

Section: GLOBAL

Original Text
-------------
Section 4.4.2 has the following:
      enum {
          X509(0),
          RawPublicKey(2),
          (255)
      } CertificateType;

Corrected Text
--------------

Notes
-----
The registry has "X.509" as the certificate type.  The IANA registry for TLS Certificate types at https://www.iana.org/assignments/tls-extensiontype-values/tls-extensiontype-values.xhtml#tls-extensiontype-values-3 has "X.509" as the name for value 0.  The name should be changed to "X509" and the reference should be changed to RFC 8446.  A comment "Was X.509 before TLS 1.3" should be added.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8446 (draft-ietf-tls-tls13-28)
--------------------------------------
Title               : The Transport Layer Security (TLS) Protocol Version 1.3
Publication Date    : August 2018
Author(s)           : E. Rescorla
Category            : PROPOSED STANDARD
Source              : Transport Layer Security
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Russ Housley <[email-masked]>
Date: Tue, 4 Feb 2020 10:19:02 -0500

I think the document is correct and the IANA registry should remove the dot.

Russ

> On Feb 4, 2020, at 10:13 AM, RFC Errata System <[email-masked]> wrote:
> 
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 4 Feb 2020 07:51:56 -0800

I agree. This was an intentional change.

-Ekr

On Tue, Feb 4, 2020 at 7:19 AM Russ Housley <[email-masked]> wrote:

> > The registry has "X.509" as the certificate type.  The IANA registry for
> TLS Certificate types at
> https://www.iana.org/assignments/tls-extensiontype-values/tls-extensiontype-values.xhtml#tls-extensiontype-values-3
> has "X.509" as the name for value 0.  The name should be changed to "X509"
> and the reference should be changed to RFC 8446.  A comment "Was X.509
> before TLS 1.3" should be added.
> >
> > Instructions:
> > -------------

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 4 Feb 2020 15:58:55 +0000

The intent is to make the change, but IANA wanted an approved errata first.

---

From: Sean Turner <[email-masked]>
Date: Tue, 4 Feb 2020 17:49:56 +0100

Ah. I will admit it’s a little weird to do an errata to change the IANA registry. Maybe we tweak the errata to include the following text so there is a trail of bits:

Corrected Text
--------------
Section 11. IANA Considerations 
Certificate Types paragraph

IANA haas to updated the TLS Certificate Types registry extension to change value 0 to have the name X509, to have a comment "Was X.509 before TLS 1.3”, and to refer to this RFC.

Cheers,

spt

> On Feb 4, 2020, at 16:58, Salz, Rich <[email-masked]> wrote:
>

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 4 Feb 2020 16:51:50 +0000

Good idea!

On 2/4/20, 11:50 AM, "Sean Turner" <[email-masked]> wrote:

    Corrected Text
    --------------

    Cheers,
    
    spt